player_imu_data_fullstate Struct Reference

Data: all of the calibrated IMU data (PLAYER_IMU_DATA_FULLSTATE) More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| The complete pose of the IMU in 3D coordinates + angles.
player_pose3d_t | vel
| The complete velocity of the IMU in 3D coordinates + angles.
player_pose3d_t | acc
| The complete acceleration of the IMU in 3D coordinates + angles.

## Detailed Description

Data: all of the calibrated IMU data (PLAYER_IMU_DATA_FULLSTATE)

The `imu` interface returns the complete 3D coordinates + angles position in space, as well as velocity and acceleration of the IMU sensor.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45